> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.flashid.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.flashid.app/_mcp/server.

# List running browsers

GET http://127.0.0.1:58931/api/browsers/running

Profiles currently running.

Response `data[]`: `id`, `name`, `status`, `startTime` (epoch ms), `debugUrl` (CDP WebSocket endpoint for Puppeteer/Playwright; `null` if not yet available).

Reference: https://docs.flashid.app/api-reference/browsers/list-running-browsers

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/browsers/running:
    get:
      operationId: list-running-browsers
      summary: List running browsers
      description: >-
        Profiles currently running.


        Response `data[]`: `id`, `name`, `status`, `startTime` (epoch ms),
        `debugUrl` (CDP WebSocket endpoint for Puppeteer/Playwright; `null` if
        not yet available).
      tags:
        - subpackage_browsers
      parameters:
        - name: X-API-Key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Browsers_List running
                  browsers_Response_200
servers:
  - url: http://127.0.0.1:58931
    description: http://127.0.0.1:58931
components:
  schemas:
    ApiBrowsersRunningGetResponsesContentApplicationJsonSchemaDataItemsWs:
      type: object
      properties:
        selenium:
          type: string
        puppeteer:
          type: string
      required:
        - selenium
        - puppeteer
      title: ApiBrowsersRunningGetResponsesContentApplicationJsonSchemaDataItemsWs
    ApiBrowsersRunningGetResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        id:
          type: string
        ws:
          $ref: >-
            #/components/schemas/ApiBrowsersRunningGetResponsesContentApplicationJsonSchemaDataItemsWs
        name:
          type: string
        status:
          type: string
        startTime:
          type: integer
        debug_port:
          type: integer
      required:
        - id
        - ws
        - name
        - status
        - startTime
        - debug_port
      title: ApiBrowsersRunningGetResponsesContentApplicationJsonSchemaDataItems
    Browsers_List running browsers_Response_200:
      type: object
      properties:
        code:
          type: integer
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/ApiBrowsersRunningGetResponsesContentApplicationJsonSchemaDataItems
        success:
          type: boolean
      required:
        - code
        - data
        - success
      title: Browsers_List running browsers_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

```

## Examples



**Response**

```json
{
  "code": 0,
  "data": [
    {
      "id": "{{profileId}}",
      "ws": {
        "selenium": "127.0.0.1:9222",
        "puppeteer": "ws://127.0.0.1:9222/devtools/browser/xxxxxxxx"
      },
      "name": "My Profile",
      "status": "running",
      "startTime": 1701590400000,
      "debug_port": 9222
    }
  ],
  "success": true
}
```

**SDK Code**

```python Browsers_List running browsers_example
import requests

url = "http://127.0.0.1:58931/api/browsers/running"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Browsers_List running browsers_example
const url = 'http://127.0.0.1:58931/api/browsers/running';
const options = {method: 'GET', headers: {'X-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Browsers_List running browsers_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "http://127.0.0.1:58931/api/browsers/running"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Browsers_List running browsers_example
require 'uri'
require 'net/http'

url = URI("http://127.0.0.1:58931/api/browsers/running")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Browsers_List running browsers_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("http://127.0.0.1:58931/api/browsers/running")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php Browsers_List running browsers_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'http://127.0.0.1:58931/api/browsers/running', [
  'headers' => [
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Browsers_List running browsers_example
using RestSharp;

var client = new RestClient("http://127.0.0.1:58931/api/browsers/running");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Browsers_List running browsers_example
import Foundation

let headers = ["X-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "http://127.0.0.1:58931/api/browsers/running")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```